Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.taglibs.standard.lang.jstl
Class Evaluator

    java.lang.Object
      org.apache.taglibs.standard.lang.jstl.Evaluator

All Implemented Interfaces:
  ExpressionEvaluator

    public class Evaluator

extends Object
implements ExpressionEvaluator

This is the expression evaluator "adapter" that customizes it for use with the JSP Standard Tag Library. It uses a VariableResolver implementation that looks up variables from the PageContext and also implements its implicit objects. It also wraps ELExceptions in JspExceptions that describe the attribute name and value causing the error.

Version:
  $Change: 181177 $$DateTime: 2001/06/26 08:45:09 $$Author: tcfujii $
Author:
  Nathan Abramson - Art Technology Group, Shawn Bayern

Constructor Summary
`Evaluator()`

Method Summary
`Object` | `evaluate(String pAttributeName, String pAttributeValue, Class pExpectedType, Tag pTag, PageContext pPageContext)` Conduit to old-style call for convenience.
`Object` | `evaluate(String pAttributeName, String pAttributeValue, Class pExpectedType, Tag pTag, PageContext pPageContext, Map functions, String defaultPrefix)` Evaluates the expression at request time
`static String` | `parseAndRender(String pAttributeValue)` Parses the given attribute value, then converts it back to a String in its canonical form.
`String` | `validate(String pAttributeName, String pAttributeValue)` Translation time validation of an attribute value.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Evaluator

    public Evaluator()

Method Detail

### validate

    public String validate(String pAttributeName,
                           String pAttributeValue)

  Translation time validation of an attribute value. This method will return a null String if the attribute value is valid; otherwise an error message.

  Specified by:
    `validate` in interface `ExpressionEvaluator`

### evaluate

    public Object evaluate(String pAttributeName,
                           String pAttributeValue,
                           Class pExpectedType,
                           Tag pTag,
                           PageContext pPageContext,
                           Map functions,
                           String defaultPrefix)
                    throws JspException

  Evaluates the expression at request time

  Throws:
    `JspException`

### evaluate

    public Object evaluate(String pAttributeName,
                           String pAttributeValue,
                           Class pExpectedType,
                           Tag pTag,
                           PageContext pPageContext)
                    throws JspException

  Conduit to old-style call for convenience.

  Specified by:
    `evaluate` in interface `ExpressionEvaluator`
  Throws:
    `JspException`

### parseAndRender

    public static String parseAndRender(String pAttributeValue)
                                 throws JspException

  Parses the given attribute value, then converts it back to a String in its canonical form.

  Throws:
    `JspException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.